Last Comment Bug 812921 - Port chat/ changes from Instantbird to comm-central - 4
: Port chat/ changes from Instantbird to comm-central - 4
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 19.0
Assigned To: Florian Quèze [:florian] [:flo] (PTO until August 29th)
:
Mentors:
Depends on: 812877 842183
Blocks: 753807 776901 786404 799068 801582 833389
  Show dependency treegraph
 
Reported: 2012-11-18 14:00 PST by Florian Quèze [:florian] [:flo] (PTO until August 29th)
Modified: 2014-01-03 09:51 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
35 imported changesets (106.75 KB, patch)
2012-11-18 14:11 PST, Florian Quèze [:florian] [:flo] (PTO until August 29th)
no flags Details | Diff | Splinter Review

Description Florian Quèze [:florian] [:flo] (PTO until August 29th) 2012-11-18 14:00:20 PST
Instantbird and comm-central's chat/ folders have diverged again. Time for another sync/
Comment 1 Florian Quèze [:florian] [:flo] (PTO until August 29th) 2012-11-18 14:11:46 PST
Created attachment 682934 [details] [diff] [review]
35 imported changesets

Bug 1457 - Make use of all WHOWAS 312/314 response pairs, r=aleth.
Bug 1734 - Smiley regular expression problem in custom smiley themes, r=fqueze.
Bug 1470 - Reply to tweet only auto-fills the first (of possibly multiple) nicks, r=clokep,fqueze.
Bug 1697 - Update /mode command syntax, r=clokep.
Bug 1726 - Part and join system messages are asymmetric, r=clokep.
Bug 1702 - Add VKontakte protocol, r=clokep,fqueze.
Bug 1747 - _originalMsg property not set on message following unread ruler when rejoining bubbles, r=fqueze.
Bug 1712 - Send long IRC messages in several parts, r=fqueze.
Bug 1573 - Support SASL for IRC, r=aleth.
Bug 1698 - NickServ help message eaten for no good reason, r=aleth.
Bug 1742 - Add Odnoklassniki protocol, r=clokep.
Bug 1108 - Names of folders and files are not checked against forbidden names, r=clokep.
Bug 1727 - Separate strings for channel and user mode system messages, r=clokep.
Bug 1492 - Rename purpleConversation -> prplConversation where appropriate, r=fqueze.
Bug 1694 - Use twitter icon for twitter tabs, r=fqueze.
Bug 1685 - Allow logging to be used in non-global scope, r=fqueze.
Bug 1562 - Integrate Show Nick, r=aleth.
Bug 1754 - No location information for messages logged from imXPCOMUtils, r=clokep.
Bug 1723 - Unhandled IRC message 328: RPL_CHANNEL_URL, r=clokep.
Bug 1742 - Add Odnoklassniki protocol - follow-up to workaround the lack of DNS SRV support in JS-XMPP, r=clokep.
Bug 1610 - Display a correct error message in the conversation when receiving a message type=error stanza, r=clokep.
Bug 1765 - Fix IRC authentication on reconnect, r=clokep.
Bug 1777 - Wait more than 1s before showing NickServ's messages, r=clokep.
Bug 1767 - New nightly can't auth with ZNC server, r=fqueze.
Bug 1764 - Drop ForwardProtocolPrototype, r=fqueze.
Bug 1784 - Atheme Nickserv auth success message not recognized when using grouped nicks, r=fqueze.
Bug 1613 - Twitter feed stops receiving incoming tweets (without disconnecting), r=aleth.
Bug 1786 - Don't log password during SASL auth, r=fqueze.
Bug 1789 - Google Talk (JS-XMPP) accounts should timeout when the connection to the server has stalled, r=aleth.
Bug 1790 - Changing one's status retries to connect accounts for which the user clicked "Cancel reconnection", r=aleth.
Bug 1803 - Shutdown leak if there was an active IRC channel, r=clokep.
Bug 1804 - JS error at shutdown when exiting with the Command+Q shortcut in a conversation window, r=aleth.
Bug 1800 - Improve the exception on opening the "show all protocols" page when a protocol plugin failed to initialize, r=clokep.
Bug 1751 - No feedback when the /nick command fails, r=clokep.
Bug 1786 - Don't log password during SASL auth - follow-up to improve the logged string, r=clokep.
Comment 2 Florian Quèze [:florian] [:flo] (PTO until August 29th) 2012-11-18 15:02:35 PST
https://hg.mozilla.org/comm-central/rev/6666fdb3fcbc
https://hg.mozilla.org/comm-central/rev/a669d6963a86
https://hg.mozilla.org/comm-central/rev/f22906afbdd3
https://hg.mozilla.org/comm-central/rev/3550595b8142
https://hg.mozilla.org/comm-central/rev/4ee74a0a6438
https://hg.mozilla.org/comm-central/rev/be05713879c5
https://hg.mozilla.org/comm-central/rev/b93cefbf1f6b
https://hg.mozilla.org/comm-central/rev/050ced694177
https://hg.mozilla.org/comm-central/rev/635d530e174b
https://hg.mozilla.org/comm-central/rev/bc4d49d95baa
https://hg.mozilla.org/comm-central/rev/fafeae1d1140
https://hg.mozilla.org/comm-central/rev/14a8bfcb9fcb
https://hg.mozilla.org/comm-central/rev/3dfa2f328f59
https://hg.mozilla.org/comm-central/rev/27453633cf41
https://hg.mozilla.org/comm-central/rev/622b4a228bb9
https://hg.mozilla.org/comm-central/rev/c8993b215e29
https://hg.mozilla.org/comm-central/rev/43eaf58acf81
https://hg.mozilla.org/comm-central/rev/09bc2193da02
https://hg.mozilla.org/comm-central/rev/d6fa464683e6
https://hg.mozilla.org/comm-central/rev/a3e5bcee9c41
https://hg.mozilla.org/comm-central/rev/62a1afd44af1
https://hg.mozilla.org/comm-central/rev/5d09f23e8cd7
https://hg.mozilla.org/comm-central/rev/1c8f48991754
https://hg.mozilla.org/comm-central/rev/b6fb99f7237d
https://hg.mozilla.org/comm-central/rev/299a3a72ab7d
https://hg.mozilla.org/comm-central/rev/2475b5ccd5ec
https://hg.mozilla.org/comm-central/rev/57b74bac41df
https://hg.mozilla.org/comm-central/rev/f27c2a29bebb
https://hg.mozilla.org/comm-central/rev/1000aeec3651
https://hg.mozilla.org/comm-central/rev/ebe9dc6c8c57
https://hg.mozilla.org/comm-central/rev/4c7d76fcd1dc
https://hg.mozilla.org/comm-central/rev/485d957606ba
https://hg.mozilla.org/comm-central/rev/30e3a3820d58
https://hg.mozilla.org/comm-central/rev/1c4bc22f8b81
https://hg.mozilla.org/comm-central/rev/84771c1ef184
Comment 3 Florian Quèze [:florian] [:flo] (PTO until August 29th) 2012-11-18 17:04:34 PST
The "https://hg.mozilla.org/comm-central/rev/1c4bc22f8b81 - Bio 1751 - No feedback when the /nick command fails, r=clokep." changeset busted the test_tryNewNick xpcshell test.

I pushed https://hg.mozilla.org/comm-central/rev/ad2c8b41438e to fix that (clokep looked at it over IRC and said it looks fine).
Comment 4 Sören Hentzschel 2013-01-18 14:41:21 PST
(In reply to Florian Quèze [:florian] [:flo] from comment #1)
> Created attachment 682934 [details] [diff] [review]
> 35 imported changesets
> 
> Bug 1702 - Add VKontakte protocol, r=clokep,fqueze.
> Bug 1742 - Add Odnoklassniki protocol, r=clokep.

nothing to see in Thunderbird 19 Beta, 20 Earlybird and 21 Daily, neither Mac OS X nor Windows. what i have to do to use one of these protocols?
Comment 5 Patrick Cloke [:clokep] 2013-01-18 14:58:24 PST
(In reply to cadeyrn from comment #4)
> (In reply to Florian Quèze [:florian] [:flo] from comment #1)
> > Created attachment 682934 [details] [diff] [review]
> > 35 imported changesets
> > 
> > Bug 1702 - Add VKontakte protocol, r=clokep,fqueze.
> > Bug 1742 - Add Odnoklassniki protocol, r=clokep.
> 
> nothing to see in Thunderbird 19 Beta, 20 Earlybird and 21 Daily, neither
> Mac OS X nor Windows. what i have to do to use one of these protocols?

I think the protocols would need to be added to the package-manifest @ http://mxr.mozilla.org/comm-central/source/mail/installer/package-manifest.in#255
Comment 6 Florian Quèze [:florian] [:flo] (PTO until August 29th) 2013-01-21 00:11:19 PST
(In reply to Patrick Cloke [:clokep] from comment #5)
> (In reply to cadeyrn from comment #4)
> > (In reply to Florian Quèze [:florian] [:flo] from comment #1)
> > > Created attachment 682934 [details] [diff] [review]
> > > 35 imported changesets
> > > 
> > > Bug 1702 - Add VKontakte protocol, r=clokep,fqueze.
> > > Bug 1742 - Add Odnoklassniki protocol, r=clokep.
> > 
> > nothing to see in Thunderbird 19 Beta, 20 Earlybird and 21 Daily, neither
> > Mac OS X nor Windows. what i have to do to use one of these protocols?
> 
> I think the protocols would need to be added to the package-manifest @
> http://mxr.mozilla.org/comm-central/source/mail/installer/package-manifest.
> in#255

Right, if these 2 additional protocols are wanted in Thunderbird, it's just 4 lines to add in the package-manifest.in file. I didn't do it at the time of the chat/ import because I think including them or not is a UX decision. Feel free to file a bug to get them added.
Comment 7 Sören Hentzschel 2013-01-22 08:56:08 PST
Hi,

thanks for your answers. I filed #833389. :)
Comment 8 Patrick Cloke [:clokep] 2014-01-03 09:51:59 PST
Mapping to BMO bug numbers:

(In reply to Florian Quèze [:florian] [:flo] from comment #1)
> Created attachment 682934 [details] [diff] [review]
> 35 imported changesets
>
> Bug 954890 - Make use of all WHOWAS 312/314 response pairs, r=aleth.
> Bug 955164 - Smiley regular expression problem in custom smiley themes,
> r=fqueze.
> Bug 954903 - Reply to tweet only auto-fills the first (of possibly multiple)
> nicks, r=clokep,fqueze.
> Bug 955125 - Update /mode command syntax, r=clokep.
> Bug 955155 - Part and join system messages are asymmetric, r=clokep.
> Bug 955130 - Add VKontakte protocol, r=clokep,fqueze.
> Bug 955178 - _originalMsg property not set on message following unread ruler
> when rejoining bubbles, r=fqueze.
> Bug 955140 - Send long IRC messages in several parts, r=fqueze.
> Bug 955004 - Support SASL for IRC, r=aleth.
> Bug 955126 - NickServ help message eaten for no good reason, r=aleth.
> Bug 955173 - Add Odnoklassniki protocol, r=clokep.
> Bug 954542 - Names of folders and files are not checked against forbidden
> names, r=clokep.
> Bug 955156 - Separate strings for channel and user mode system messages,
> r=clokep.
> Bug 954925 - Rename purpleConversation -> prplConversation where appropriate,
> r=fqueze.
> Bug 955122 - Use twitter icon for twitter tabs, r=fqueze.
> Bug 955113 - Allow logging to be used in non-global scope, r=fqueze.
> Bug 954993 - Integrate Show Nick, r=aleth.
> Bug 955186 - No location information for messages logged from imXPCOMUtils,
> r=clokep.
> Bug 955151 - Unhandled IRC message 328: RPL_CHANNEL_URL, r=clokep.
> Bug 955173 - Add Odnoklassniki protocol - follow-up to workaround the lack of
> DNS SRV support in JS-XMPP, r=clokep.
> Bug 955040 - Display a correct error message in the conversation when
> receiving a message type=error stanza, r=clokep.
> Bug 955197 - Fix IRC authentication on reconnect, r=clokep.
> Bug 955209 - Wait more than 1s before showing NickServ's messages, r=clokep.
> Bug 955199 - New nightly can't auth with ZNC server, r=fqueze.
> Bug 955196 - Drop ForwardProtocolPrototype, r=fqueze.
> Bug 955216 - Atheme Nickserv auth success message not recognized when using
> grouped nicks, r=fqueze.
> Bug 955043 - Twitter feed stops receiving incoming tweets (without
> disconnecting), r=aleth.
> Bug 955218 - Don't log password during SASL auth, r=fqueze.
> Bug 955221 - Google Talk (JS-XMPP) accounts should timeout when the connection
> to the server has stalled, r=aleth.
> Bug 955223 - Changing one's status retries to connect accounts for which the
> user clicked "Cancel reconnection", r=aleth.
> Bug 955236 - Shutdown leak if there was an active IRC channel, r=clokep.
> Bug 955237 - JS error at shutdown when exiting with the Command+Q shortcut in
> a conversation window, r=aleth.
> Bug 955233 - Improve the exception on opening the "show all protocols" page
> when a protocol plugin failed to initialize, r=clokep.
> Bug 955183 - No feedback when the /nick command fails, r=clokep.
> Bug 955218 - Don't log password during SASL auth - follow-up to improve the
> logged string, r=clokep.

Note You need to log in before you can comment on or make changes to this bug.